Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
agora::rtc::IVideoTrackObserver Class Reference

`#include <video_track_i.h>`

Inherits std::enable_shared_from_this< IVideoTrackObserver >.

## Public Member Functions
virtual | ~IVideoTrackObserver ()=default
virtual void | onLocalVideoEvent (int id, LOCAL_VIDEO_EVENT_TYPE event)
virtual void | onLocalVideoStateChanged (int id, LOCAL_VIDEO_STREAM_STATE state, LOCAL_VIDEO_STREAM_REASON reason, int timestamp_ms)
virtual void | onRemoteVideoStateChanged (uid_t uid, REMOTE_VIDEO_STATE state, REMOTE_VIDEO_STATE_REASON reason, int timestamp_ms)
virtual void | onFirstVideoFrameRendered (int id, uid_t uid, int width, int height, int timestamp_ms)
virtual void | onFirstVideoFrameDecoded (std::string cid, uid_t uid, uint32_t ssrc, int width, int height, int timestamp_ms)
virtual void | onFirstVideoKeyFrameReceived (uid_t uid, uint64_t timestamp, const webrtc::FirstVideoFrameStreamInfo &streamInfo)
virtual void | onSourceVideoSizeChanged (uid_t uid, int width, int height, int rotation, int timestamp_ms)
virtual void | onSendSideDelay (int id, int send_delay)
virtual void | onRecvSideDelay (uid_t uid, int recv_delay)
virtual void | onRecvSideFps (uid_t uid, int fps)
virtual void | onEncoderConfigurationChanged (const std::unordered_map< int, VideoConfigurationEx > &config)
virtual void | onSvcLayerUpdated (SvcAABandwidthReportInfo info, int supported_max_layers, AdaptiveScenarioType scenario_type, int channel_size, const std::map< VideoStreamIndex, int > &be_subscribed_streams, const std::vector< int > &svc_layer_bitrate, SvcAASourceType source, const std::vector< SvcAAStrategyResult > &svc_aa_strategy_result_vec)
virtual void | onSvcaaEnabledStateUpdated (uint16_t enabled_state)
virtual void | onEncoderStrategySupportedSvcLayersUpdated (int max_layers)
virtual void | onVideoPipelineDataFormatChanged (int format)
virtual void | onCameraFacingChanged (int facing)
virtual void | onViewSizeChanged (uid_t uid, view_t view, int width, int height)
virtual void | OnSetRexferParams (bool fec_rexfer, float rexfer_alpha, int max_rexfer_times)
virtual void | OnRexferStatusUpdated (bool status, int32_t target_bitrate)
virtual void | OnNotifyDepartedFrame (uid_t uid, int picture_id)
virtual void | onCameraInfoListChanged (CameraInfoList cameraInfoList)
virtual void | onCameraCharacteristicProfileChanged (agora::rtc::CameraCharacteristicProfile profile)
virtual void | OnEncoderStatusUpdate (webrtc::VideoCodecType codec_type, webrtc::HW_ENCODER_ACCELERATING_STATUS hw_accelerate_status)
virtual void | OnVideoStatusUpdated (bool is_fallback, webrtc::MediaStreamId stream_id, int reason)
virtual void | onVideoAvailabilityIndicatorEvent (VideoAvailabilityIndicator indicator)
virtual void | onVideoRendererInfoEvent (VideoRendererInfo info)
virtual void | onVideoHWCodecSpecEvent (agora::rtc::VideoHWCodecSpec codecSpec)
virtual void | onVideoSizeChanged (int id, uid_t uid, int width, int height, int rotation)
virtual void | onYuvConvertStats (const YuvConvertStats &stats)
virtual void | onWatermarkStats (int32_t image_count, int32_t buffer_count, int32_t literal_count, int32_t timestamp_count)
virtual void | onLocalAddVideoFilter (int track_id, std::string filter_name, bool enabled)
virtual void | onLocalFilterStatusChanged (int track_id, std::string filter_name, bool enabled)
virtual void | onRemoteAddVideoFilter (std::string cid, uid_t uid, uint32_t ssrc, std::string filter_name, bool enabled)
virtual void | onRemoteFilterStatusChanged (std::string cid, uid_t uid, uint32_t ssrc, std::string filter_name, bool enabled, bool isDisableMe=false)
virtual void | onVideoContentChanged (uid_t uid, agora::VideoContentType newType, agora::VideoContentSubType newSubtype)
virtual void | OnRequestKeyFrame (uid_t uid, VIDEO_STREAM_TYPE type)
virtual void | OnVideoCodingModuleInfosUpdated (webrtc::VideoCodingModuleInfos videoCodingInfos)
virtual void | OnVideoEncodeStrategyUpdated (agora::rtc::VideoEncodeStrategyInfo strategy)
virtual void | OnFirstDecodableFrameReceived (uint8_t stream_id)
virtual void | OnBcmDecodeFeedback (uid_t uid, std::string &&fb)
virtual void | OnBcmNetworkStatsFeeback (uid_t uid, std::string &&fb)

## Constructor & Destructor Documentation

## ◆ ~IVideoTrackObserver()

virtual agora::rtc::IVideoTrackObserver::~IVideoTrackObserver | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ onLocalVideoEvent()

virtual void agora::rtc::IVideoTrackObserver::onLocalVideoEvent | ( | int | id,
|  | LOCAL_VIDEO_EVENT_TYPE | event )
| inlinevirtual

## ◆ onLocalVideoStateChanged()

virtual void agora::rtc::IVideoTrackObserver::onLocalVideoStateChanged | ( | int | id,
|  | LOCAL_VIDEO_STREAM_STATE | state,
|  | LOCAL_VIDEO_STREAM_REASON | reason,
|  | int | timestamp_ms )
| inlinevirtual

## ◆ onRemoteVideoStateChanged()

virtual void agora::rtc::IVideoTrackObserver::onRemoteVideoStateChanged | ( | uid_t | uid,
|  | REMOTE_VIDEO_STATE | state,
|  | REMOTE_VIDEO_STATE_REASON | reason,
|  | int | timestamp_ms )
| inlinevirtual

## ◆ onFirstVideoFrameRendered()

virtual void agora::rtc::IVideoTrackObserver::onFirstVideoFrameRendered | ( | int | id,
|  | uid_t | uid,
|  | int | width,
|  | int | height,
|  | int | timestamp_ms )
| inlinevirtual

## ◆ onFirstVideoFrameDecoded()

virtual void agora::rtc::IVideoTrackObserver::onFirstVideoFrameDecoded | ( | std::string | cid,
|  | uid_t | uid,
|  | uint32_t | ssrc,
|  | int | width,
|  | int | height,
|  | int | timestamp_ms )
| inlinevirtual

## ◆ onFirstVideoKeyFrameReceived()

virtual void agora::rtc::IVideoTrackObserver::onFirstVideoKeyFrameReceived | ( | uid_t | uid,
|  | uint64_t | timestamp,
|  | const webrtc::FirstVideoFrameStreamInfo & | streamInfo )
| inlinevirtual

## ◆ onSourceVideoSizeChanged()

virtual void agora::rtc::IVideoTrackObserver::onSourceVideoSizeChanged | ( | uid_t | uid,
|  | int | width,
|  | int | height,
|  | int | rotation,
|  | int | timestamp_ms )
| inlinevirtual

## ◆ onSendSideDelay()

virtual void agora::rtc::IVideoTrackObserver::onSendSideDelay | ( | int | id,
|  | int | send_delay )
| inlinevirtual

## ◆ onRecvSideDelay()

virtual void agora::rtc::IVideoTrackObserver::onRecvSideDelay | ( | uid_t | uid,
|  | int | recv_delay )
| inlinevirtual

## ◆ onRecvSideFps()

virtual void agora::rtc::IVideoTrackObserver::onRecvSideFps | ( | uid_t | uid,
|  | int | fps )
| inlinevirtual

## ◆ onEncoderConfigurationChanged()

virtual void agora::rtc::IVideoTrackObserver::onEncoderConfigurationChanged | ( | const std::unordered_map< int, VideoConfigurationEx > & | config | ) |
| inlinevirtual

## ◆ onSvcLayerUpdated()

virtual void agora::rtc::IVideoTrackObserver::onSvcLayerUpdated | ( | SvcAABandwidthReportInfo | info,
|  | int | supported_max_layers,
|  | AdaptiveScenarioType | scenario_type,
|  | int | channel_size,
|  | const std::map< VideoStreamIndex, int > & | be_subscribed_streams,
|  | const std::vector< int > & | svc_layer_bitrate,
|  | SvcAASourceType | source,
|  | const std::vector< SvcAAStrategyResult > & | svc_aa_strategy_result_vec )
| inlinevirtual

## ◆ onSvcaaEnabledStateUpdated()

virtual void agora::rtc::IVideoTrackObserver::onSvcaaEnabledStateUpdated | ( | uint16_t | enabled_state | ) |
| inlinevirtual

## ◆ onEncoderStrategySupportedSvcLayersUpdated()

virtual void agora::rtc::IVideoTrackObserver::onEncoderStrategySupportedSvcLayersUpdated | ( | int | max_layers | ) |
| inlinevirtual

## ◆ onVideoPipelineDataFormatChanged()

virtual void agora::rtc::IVideoTrackObserver::onVideoPipelineDataFormatChanged | ( | int | format | ) |
| inlinevirtual

## ◆ onCameraFacingChanged()

virtual void agora::rtc::IVideoTrackObserver::onCameraFacingChanged | ( | int | facing | ) |
| inlinevirtual

## ◆ onViewSizeChanged()

virtual void agora::rtc::IVideoTrackObserver::onViewSizeChanged | ( | uid_t | uid,
|  | view_t | view,
|  | int | width,
|  | int | height )
| inlinevirtual

## ◆ OnSetRexferParams()

virtual void agora::rtc::IVideoTrackObserver::OnSetRexferParams | ( | bool | fec_rexfer,
|  | float | rexfer_alpha,
|  | int | max_rexfer_times )
| inlinevirtual

## ◆ OnRexferStatusUpdated()

virtual void agora::rtc::IVideoTrackObserver::OnRexferStatusUpdated | ( | bool | status,
|  | int32_t | target_bitrate )
| inlinevirtual

## ◆ OnNotifyDepartedFrame()

virtual void agora::rtc::IVideoTrackObserver::OnNotifyDepartedFrame | ( | uid_t | uid,
|  | int | picture_id )
| inlinevirtual

## ◆ onCameraInfoListChanged()

virtual void agora::rtc::IVideoTrackObserver::onCameraInfoListChanged | ( | CameraInfoList | cameraInfoList | ) |
| inlinevirtual

## ◆ onCameraCharacteristicProfileChanged()

virtual void agora::rtc::IVideoTrackObserver::onCameraCharacteristicProfileChanged | ( | agora::rtc::CameraCharacteristicProfile | profile | ) |
| inlinevirtual

## ◆ OnEncoderStatusUpdate()

virtual void agora::rtc::IVideoTrackObserver::OnEncoderStatusUpdate | ( | webrtc::VideoCodecType | codec_type,
|  | webrtc::HW_ENCODER_ACCELERATING_STATUS | hw_accelerate_status )
| inlinevirtual

## ◆ OnVideoStatusUpdated()

virtual void agora::rtc::IVideoTrackObserver::OnVideoStatusUpdated | ( | bool | is_fallback,
|  | webrtc::MediaStreamId | stream_id,
|  | int | reason )
| inlinevirtual

## ◆ onVideoAvailabilityIndicatorEvent()

virtual void agora::rtc::IVideoTrackObserver::onVideoAvailabilityIndicatorEvent | ( | VideoAvailabilityIndicator | indicator | ) |
| inlinevirtual

## ◆ onVideoRendererInfoEvent()

virtual void agora::rtc::IVideoTrackObserver::onVideoRendererInfoEvent | ( | VideoRendererInfo | info | ) |
| inlinevirtual

## ◆ onVideoHWCodecSpecEvent()

virtual void agora::rtc::IVideoTrackObserver::onVideoHWCodecSpecEvent | ( | agora::rtc::VideoHWCodecSpec | codecSpec | ) |
| inlinevirtual

## ◆ onVideoSizeChanged()

virtual void agora::rtc::IVideoTrackObserver::onVideoSizeChanged | ( | int | id,
|  | uid_t | uid,
|  | int | width,
|  | int | height,
|  | int | rotation )
| inlinevirtual

## ◆ onYuvConvertStats()

virtual void agora::rtc::IVideoTrackObserver::onYuvConvertStats | ( | const YuvConvertStats & | stats | ) |
| inlinevirtual

## ◆ onWatermarkStats()

virtual void agora::rtc::IVideoTrackObserver::onWatermarkStats | ( | int32_t | image_count,
|  | int32_t | buffer_count,
|  | int32_t | literal_count,
|  | int32_t | timestamp_count )
| inlinevirtual

## ◆ onLocalAddVideoFilter()

virtual void agora::rtc::IVideoTrackObserver::onLocalAddVideoFilter | ( | int | track_id,
|  | std::string | filter_name,
|  | bool | enabled )
| inlinevirtual

## ◆ onLocalFilterStatusChanged()

virtual void agora::rtc::IVideoTrackObserver::onLocalFilterStatusChanged | ( | int | track_id,
|  | std::string | filter_name,
|  | bool | enabled )
| inlinevirtual

## ◆ onRemoteAddVideoFilter()

virtual void agora::rtc::IVideoTrackObserver::onRemoteAddVideoFilter | ( | std::string | cid,
|  | uid_t | uid,
|  | uint32_t | ssrc,
|  | std::string | filter_name,
|  | bool | enabled )
| inlinevirtual

## ◆ onRemoteFilterStatusChanged()

virtual void agora::rtc::IVideoTrackObserver::onRemoteFilterStatusChanged | ( | std::string | cid,
|  | uid_t | uid,
|  | uint32_t | ssrc,
|  | std::string | filter_name,
|  | bool | enabled,
|  | bool | isDisableMe = false )
| inlinevirtual

## ◆ onVideoContentChanged()

virtual void agora::rtc::IVideoTrackObserver::onVideoContentChanged | ( | uid_t | uid,
|  | agora::VideoContentType | newType,
|  | agora::VideoContentSubType | newSubtype )
| inlinevirtual

## ◆ OnRequestKeyFrame()

virtual void agora::rtc::IVideoTrackObserver::OnRequestKeyFrame | ( | uid_t | uid,
|  | VIDEO_STREAM_TYPE | type )
| inlinevirtual

## ◆ OnVideoCodingModuleInfosUpdated()

virtual void agora::rtc::IVideoTrackObserver::OnVideoCodingModuleInfosUpdated | ( | webrtc::VideoCodingModuleInfos | videoCodingInfos | ) |
| inlinevirtual

## ◆ OnVideoEncodeStrategyUpdated()

virtual void agora::rtc::IVideoTrackObserver::OnVideoEncodeStrategyUpdated | ( | agora::rtc::VideoEncodeStrategyInfo | strategy | ) |
| inlinevirtual

## ◆ OnFirstDecodableFrameReceived()

virtual void agora::rtc::IVideoTrackObserver::OnFirstDecodableFrameReceived | ( | uint8_t | stream_id | ) |
| inlinevirtual

## ◆ OnBcmDecodeFeedback()

virtual void agora::rtc::IVideoTrackObserver::OnBcmDecodeFeedback | ( | uid_t | uid,
|  | std::string && | fb )
| inlinevirtual

## ◆ OnBcmNetworkStatsFeeback()

virtual void agora::rtc::IVideoTrackObserver::OnBcmNetworkStatsFeeback | ( | uid_t | uid,
|  | std::string && | fb )
| inlinevirtual